[@rxap/data-source](../wiki/globals) / BaseDataSourceViewer

# Interface: BaseDataSourceViewer\<View\>

Defined in: [packages/angular/data-source/src/lib/base.data-source.ts:43](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/data-source/src/lib/base.data-source.ts#L43)

## Type Parameters

• **View** = `any`

## Indexable

\[`key`: `string`\]: `any`

## Properties

### id?

> `optional` **id**: `string`

Defined in: [packages/angular/data-source/src/lib/base.data-source.ts:44](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/data-source/src/lib/base.data-source.ts#L44)

***

### restore?

> `optional` **restore**: `boolean`

Defined in: [packages/angular/data-source/src/lib/base.data-source.ts:49](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/data-source/src/lib/base.data-source.ts#L49)

Indicates weather the data source should restore the last value from local storage

***

### viewChange?

> `optional` **viewChange**: `Observable`\<`View`\>

Defined in: [packages/angular/data-source/src/lib/base.data-source.ts:45](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/data-source/src/lib/base.data-source.ts#L45)
